gpsd-users
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Building gpsd on Debian 11 (Bullseye)


From: Charles Curley
Subject: Building gpsd on Debian 11 (Bullseye)
Date: Tue, 5 Oct 2021 12:44:43 -0600

I'm working on updating the build instructions in build.adoc.


Two python packages have gone away in the transition from Buster to
Bullseye, python-gobject-2-dev and python-cairo-dev. Building (scons
--config=force) seems to work without them.


I also get:

Checking Python module matplotlib... (cached) 
WARNING: gpsplot is missing required runtime module matplotlib


xgps is not working correctly:

$ xgps: can't load Python gps libraries -- check PYTHONPATH.
No module named 'gps'

It looks like the gps python libraries are installed but:

charles@iorich:~$ python
Python 3.9.2 (default, Feb 28 2021, 17:03:44) 
[GCC 10.2.1 20210110] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from gps import *
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ModuleNotFoundError: No module named 'gps'
>>> quit
Use quit() or Ctrl-D (i.e. EOF) to exit
>>> quit()
charles@iorich:~$ 


-- 
Does anybody read signatures any more?

https://charlescurley.com
https://charlescurley.com/blog/



reply via email to

[Prev in Thread] Current Thread [Next in Thread]